Please Enable JavaScript!
Gon[ Enable JavaScript ]

안드로이드 SDK 에러 났을 때

안드로이드 개발
반응형

안드로이드 SDK 에러 났을 때

 

개발환경 : JDK 1.6, window 7 32bit, eclipse-indigo(3.7)

 

오래간만에 이클립스를 띄워 안드로이드 개발을 위한 준비를 하게 되었다.

도서관에서 괜찮은 책을 하나 빌렸는데 그걸 테스트 해보기 위해

실행한 것이다. 그런데 문제가 생겼다. SDK 가 제대로 연결이 안되어있을

뿐만 아니라 뭔가 파일이 빠져있어 에러가 나는 것이다.

 

그래서 제대로 돌아갈수 있도록 설치하는 과정을 다시한번 되새겨 본다.

 

1. 안드로이드 개발자 사이트에 가서 SDK 다운로드 받기

 

http://developer.android.com/

개발자 사이트로 간다. 아래에 Get the SDK 를 눌러 다운받을 페이지로 이동한다.

사이트 디자인이 많이 세련된 것 같아 보기가 좋다.

다음은 Download the SDK for Windows 를 눌러 SDK 실행파일을 받는다. 버전을 보니

벌써 20 까지 갔나보다. 정말 기술이란게 하루가 다르게 발전하면서 잠시 한눈 팔았다간

이 업계를 떠나야 하는 상황이 오지 않을까 걱정이 되기도 한다.

다운 받은 파일을 실행하자. 일반 프로그램 설치와 동일하게 Next 를 눌러 진행하면 된다.

하지만 두번째 페이지에서 Next 가 비활성화 되는 경우가 있다.

이것은 java JDK 가 연결이 되어있지 않다는 메시지 인데 환경변수에 JAVA_HOME

추가한후 경로를 입력해주면 된다. 나 같은 경우 JDK 실행파일을 설치해서 자동으로

만든 것이 아니라 따로 폴더에 관리하고 있다.

위와같이 환경변수에 JDK 위치를 추가하고 다시 안드로이드 SDK 프로그램을 실행하자.

그럼 Next 가 활성화 되고 JDK 위치도 찍히게 된다.

 

기존 SDK 위치에 이전에 있던 파일을 지우고 다시 설치한다

설치가 다 되었으면 버전별 SDK Update 에 대한 것들에

패치를 해보자. 그럴려면 폴더로 가서 SDK Manager 를 실행해야한다.

실행하면 자동으로 다운받아야할 목록들이 뜨게 된다

 

2. 에러났던 eclipse 재 실행해서 ADT update

 

벌써 4.03 이라니 놀랍기만 하다. 이렇게 개발을 위한 SDK 가 준비 되었다.

업데이트가 많이 된 것 보니 이클립스에 설치되어있는 플러그인 ADT

같이 업데이트를 해야될 것 같다.

예전에 링크해놓은 주소 http://dl-ssl.google.com/android/eclipse/

선택해서 업데이트 했다. 그런데 계속해서 에러가 나는 것이다.

Org.eclipse.ui 3.6.2 but it could not be found

예전에 작업할 때 버전이 eclipse-gailieo(3.5.2) 였는데 이제 그 버전이 낮다는것이다.

3.6 이상을 쓰라는 메시지 인데 할수 없이 Helios(3.6.2), Indigo(3.7) 둘중에 하나를

쓰기로 했다.

 

결론은 업데이트가 아닌 eclipse 개발 프로그램을 아예 바꾼 것이다. 컴퓨터에 OS

새로 깔아 신선한 마음가짐으로 다시 시작하는 것도 나쁘지 않다고 생각 했다.

 

 

 

반응형
Posted by 녹두장군

댓글을 달아 주세요

  1. 질문 2012.09.11 11:04  댓글주소  수정/삭제  댓글쓰기

    빌리신 괜찮은 책이란게 뭔지 제목좀 알수 있을까요? ^^

  2. 녹두장군 2012.09.12 23:00  댓글주소  수정/삭제  댓글쓰기

    네 .. 한빛에서 나온 안드로이드 프로그래밍 정복이라고 있습니다.
    개인적인 입장에서 전체적으로 괜찮다는 평은 아니구요.
    쓸만한 부분을 찾았거든요 ㅋ..
    유용하게 쓰고 도서관에 돌려 주었습니다.
    그럼 열공하시길 ~~~~